#version 450

layout(binding = 0) uniform UniformData {
    mat4 projection;
    mat4 view;
} u_data;

layout(location = 0) in vec3 i_pos;
layout(location = 1) in vec2 i_uv;
layout(location = 2) in vec3 i_normal;

layout(location = 0) out vec4 o_color;

vec3 k_colors[3] = vec3[]
(
    vec3(1.0, 0.0, 0.0),
    vec3(0.0, 1.0, 0.0),
    vec3(0.0, 0.0, 1.0)
);

void main()
{
    gl_Position = u_data.projection * u_data.view * vec4(i_pos, 1.0);
    //o_color = vec4(k_colors[gl_VertexIndex % 3], 1.0);
    o_color = vec4(i_uv, 0.0f, 1.0);
}